{#
	tested on:
	- arista_eos:
	    - CCS-720XP-48ZC2 (4.29.4M, 4.31.5M)
	- dell_os10:
	    - S4128F-ON (10.5.2.6, 10.5.6.3)
#}
{% with privexec_only=false %}
{%     if ansible_network_os == 'arista.eos.eos' %}
!
{%         include 'partialCONFIG_enable.j2' ignore missing %}
{%         include 'partialCONFIG_aaa_root.j2' %}
{%         include 'partialCONFIG_users_netOS.j2' ignore missing %}
{%         include 'partialCONFIG_alias.j2' ignore missing %}
{%         include 'partialCONFIG_errdisable_recovery.j2' ignore missing %}
{%         include 'partialCONFIG_routing_daemon_protocol.j2' %}
{%         include 'partialCONFIG_hostname.j2' ignore missing %}
{%         include 'partialCONFIG_dns.j2' ignore missing %}
!
{%         include 'partialCONFIG_stp_mode.j2' %}
{%         if software_version not in ['4.29.4M'] %}
{%             include 'partialCONFIG_system_l1.j2' %}
{%         endif %}
{%         include 'partialCONFIG_clock.j2' ignore missing %}
{%         include 'partialCONFIG_vlans.j2' ignore missing %}
{%         include 'partialCONFIG_vrf.j2' ignore missing %}
{%         include 'partialCONFIG_banner.j2' ignore missing %}
{%         include 'partialCONFIG_mgmt_api.j2' ignore missing %}
{%         include 'partialCONFIG_mgmt_security.j2' ignore missing %}
{%         include 'partialCONFIG_aaa_auth.j2' ignore missing %}
{%         include 'partialCONFIG_LAGinterfaces.j2' ignore missing %}
{%         include 'partialCONFIG_ETHinterfaces.j2' %}
{%         include 'partialCONFIG_MGMTinterfaces.j2' %}
{%         include 'partialCONFIG_VLANinterfaces.j2' ignore missing %}
{%         include 'partialCONFIG_routing_enabled.j2' %}
{%         include 'partialCONFIG_routing_static_default-gateway.j2' ignore missing %}
{%         include 'partialCONFIG_ntp.j2' ignore missing %}
{%         include 'partialCONFIG_mgmt_ssh.j2' ignore missing %}
end
{%     elif ansible_network_os == 'cisco.ios.ios' %}
{%     elif ansible_network_os == 'community.network.ce' %}
{%         if 'huawei_vrp' in group_names %}
{%             if 'huawei_campus' in group_names %}
{%             endif %}
{%             if 'huawei_datacenter' in group_names %}
{%             endif %}
{%         endif %}
{%         if 'huawei_yunshanos' in group_names %}
{%             if 'huawei_campus' in group_names %}
{%             endif %}
{%             if 'huawei_datacenter' in group_names %}
{%             endif %}
{%         endif %}
{%     elif ansible_network_os == 'dellemc.os10.os10' %}
interface vlan 41
 no ip address
 no ip helper-address 10.10.40.20
no interface vlan 41
{%         for i in [10, 20, 30, 40, 42, 50, 51, 250] %}
interface vlan {{ i }}
 no ip helper-address 10.10.40.20
{%         endfor %}
!
{%         include 'partialCONFIG_vrf.j2' %}
{%         include 'partialCONFIG_iscsi_global.j2' %}
{%         if software_version not in ['10.5.2.6'] %}
{%             include 'partialCONFIG_interface-breakout.j2' %}
{%             include 'partialCONFIG_errdisable_recovery.j2' ignore missing %}
{#
{%             include 'partialCONFIG_banner.j2' ignore missing %}
#}
{%             include 'partialCONFIG_clock.j2' ignore missing %}
{%             include 'partialCONFIG_hostname.j2' ignore missing %}
{%             include 'partialCONFIG_service_password.j2' %}
{%             include 'partialCONFIG_users_OS.j2' %}
{%             include 'partialCONFIG_stp_mode.j2' ignore missing %}
{%         else %}
{%             include 'partialCONFIG_hostname.j2' ignore missing %}
{%             include 'partialCONFIG_interface-breakout.j2' %}
{%             include 'partialCONFIG_stp_mode.j2' ignore missing %}
{%             include 'partialCONFIG_users_OS.j2' %}
{%         endif %}
{%         include 'partialCONFIG_dns.j2' ignore missing %}
{%         include 'partialCONFIG_users_netOS.j2' %}
{%         include 'partialCONFIG_aaa_auth.j2' %}
{%         include 'partialCONFIG_alias.j2' ignore missing %}
{%         include 'partialCONFIG_class-maps.j2' %}
{%         include 'partialCONFIG_policy-maps.j2' %}
{%         include 'partialCONFIG_VLANinterfaces.j2' %}
{%         include 'partialCONFIG_vlans_default.j2' ignore missing %}
{%         include 'partialCONFIG_LAGinterfaces.j2' ignore missing %}
{%         include 'partialCONFIG_MGMTinterfaces.j2' %}
{%         include 'partialCONFIG_ETHinterfaces.j2' %}
{%         include 'partialCONFIG_routing_static_default-gateway.j2' ignore missing %}
{%         include 'partialCONFIG_mc-lag.j2' ignore missing %}
{%         include 'partialCONFIG_snmp.j2' %}
{%         include 'partialCONFIG_telemetry.j2' %}
{%         include 'partialCONFIG_enable.j2' ignore missing %}
{%         include 'partialCONFIG_ntp.j2' ignore missing %}
interface port-channel 27
 switchport mode access
{%     elif ansible_network_os == 'dellemc.os9.os9' %}
{%     elif ansible_network_os == 'dellemc.os6.os6' %}
{%     elif ansible_network_os == 'community.network.aruba' %}
{%     endif %}
{% endwith %}
